Replace the default reminder sequence
post
https://api.expiryedge.com/v1/saveReminderSettingseditor or admin60/minAny method
Request
curl -X POST 'https://api.expiryedge.com/v1/saveReminderSettings' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"timezone": "America/Chicago",
"reminders": [
{
"amount": 30,
"time_unit": "day",
"period": "before",
"time": "09:00"
},
{
"amount": 1,
"time_unit": "week",
"period": "before",
"time": "09:00"
}
]
}'Response
{
"message": "Reminder settings saved successfully",
"reminders": [
{
"amount": 30,
"time_unit": "day",
"period": "before",
"time": "09:00",
"timezone": "America/Chicago"
}
]
}Replaces all saved default reminders (max 50). timezone is applied to every row (default UTC).
Validation errors return code: VALIDATION_ERROR.
remindersarray of objectsrequiredmax items: 50timezonestringIANA timezone applied to all reminders.max length: 64
200
Saved.
messagestringrequiredremindersarray of objectsrequired
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
403 | Authenticated, but your role or organization does not allow this action. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
